#!/bin/bash
#
# Transformeer en bewerk OpenTopo Tiffs naar geoptimaliseerde GeoTiffs.
#
# Voorbeeld: bron Tiffs en world files in directory 'src', lege directory 'dst'
# NB World files 400 pix/km voor bron Tiffs moeten wel in de bron dir staan!!
# topotrans.sh src dst
#
# Auteur: Just van den Broecke


#
# $1 bron directory
# $2 doel directory
src_dir=$1
dst_dir=$2

for src_tif in `ls -1 $src_dir/*.tif`
do
    # Doel file
    dst_tif=$dst_dir/`basename $src_tif|cut -d'.' -f1`.tif

    echo "START  CONVERT $src_tif to $dst_tif"

    # Maak overview (pyramid)
    echo "Maak overview met gdaladdo"
    # number of pyramids = log(pixelsize of image) / log(2) - log (pixelsize of tile) / log(2).
    # Plaatje is typisch 16000x10000 of 8000x10000, neem grootste
    # log(16000) / log(2) - log (512) / log(2) = 4.97 = ~5
    # 
    #  Now creating pyramids.
    #    gdaladdo %THIS_DIR%.tif -r average --config COMPRESS_OVERVIEW JPEG
    #    --config JPEG_QUALITY_OVERVIEW 60 --config INTERLEAVE_OVERVIEW PIXEL
    #      --config PHOTOMETRIC_OVERVIEW YCBCR 2 4 8 16 32 64 128 256 512
    gdaladdo -r gauss --config COMPRESS_OVERVIEW DEFLATE $dst_tif  2 4 8 16 32
    
    echo "END CONVERT $src_tif"

done

